Subject: Re: bug#16088: 24.3; ERC buffer name

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2016 17:05:55 +1100

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Cédric Chépied <[email-masked]> writes:
>>>
>>>> I made this ugly fix cause I don't know erc code at all:
>>>>
>>>> (defun erc-get-buffer-create (server port target &optional proc)
>>>>   "Create a new buffer based on the arguments."
>>>>   (setq target (concat target "@" (prin1-to-string (erc-current-network))))
>>>>   (get-buffer-create (erc-generate-new-buffer-name server port target proc)))
>>>>
>>>> All buffers are now named channel@server and I got sb@freenode and sb@oftc.
>>>
>>> erc buffers in Emacs 25.1 seem to be named like that already, so I think
>>> it looks like this has been fixed already.
>>
>> I was mistaken.  It says "channel@server" in the mode line, but the
>> buffers aren't given unique names.
>
> Actually, it looks like the second buffer should be called sb/oftc with
> the current code.  Does this still fail for you in Emacs 25.1?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no